{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 0 2% 0;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>
{% endblock %}

{% block content %}

    <form class="from-horizontal" method="get">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h1 style="margin-top: -5px" class="back-list">Collections</h1>
        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-md-6 col-customer"></div>

                <div class="col-xs-6 col-sm-6 col-md-6">
                    <div class="row" style="margin: 0;">
                        <div class="search-container text-right">
                            <form class="search-form" action="" method="get">
                                From: <input class="form-control txt-search" value="{{from_date}}"
                                       type="date" placeholder="Search..." name="from_date">
                                To: <input class="form-control txt-search" value="{{to_date}}"
                                       type="date" placeholder="Search..." name="to_date">
                                <button class="btn-search" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </form>
                        </div>
                    </div><br>
                    <div class="row">
                        <address class="col-cust-add col-business-add">
                            <span style="background-color: #00c0ef;border-color: #00acd6;">
                                No of dealer: {{ledgers|length|default:"0"}}
                            </span>
                            <span style="background-color: #00a65a;border-color: #008d4c;">
                                Total Collection: ₹ {{amount|floatformat:2|intcomma}}
                            </span>
                        </address>
                    </div>
                </div>
            </div>
        </section>

        <section>
            <table class="table table table-bordered alternate_color">
                <thead>
                    <tr>
                        <th>Company</th>
                        <th>Name</th>
                        <th>Number</th>
                        <th style="text-align: right;">Amount</th>
                        <th>Transaction Date</th>
                    </tr>
                </thead>
                <tbody id="dataTable">
                {% if ledgers|length > 0 %}
                    {% for ledger in ledgers %}
                    <tr>
                        <td>
                            {% if ledger.dp.company_name %}
                                <a href="/user/ledger-detail/Bank/{{ledger.dp.dealer.pk}}">
                                {{ledger.dp.company_name}}</a>
                            {% else %}
                                ---
                            {% endif %}
                        </td>
                        <td>{{ledger.dp.dealer.first_name}} {{ledger.dp.dealer.last_name|default:""}}</td>
                        <td>{{ledger.dp.dealer.mobile|default:"---"}}</td>
                        <td style="text-align:right">₹ {{ledger.balance|floatformat:2|intcomma}}</td>
                        <td>{{ledger.created_on|date|default:"---"}}</td>
                    </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        <td colspan="7" style="text-align:center;">Data not available</td>
                    </tr>
                {% endif %}
                </tbody>
            </table>

            <div class="row" style="margin: 0;">
                {% if ledgers.has_other_pages %}
                    <ul class="pagination col-pagination pg-blue pull-right">
                        {% if ledgers.has_previous %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ledgers.previous_page_number}}
                                &from_date={{from_date}}&to_date={{to_date}}" aria-label="Previous">&laquo;</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href=""><span>&laquo;</span></a>
                            </li>
                        {% endif %}

                        {% for i in ledgers.paginator.page_range %}
                            {% if ledgers.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">{{ i }}</a>
                                </li>
                            {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}&from_date={{from_date}}
                                    &to_date={{to_date}}">{{ i }}</a>
                                </li>
                            {% endif %}
                        {% endfor %}

                        {% if ledgers.has_next %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ ledgers.next_page_number }}
                                &from_date={{from_date}}&to_date={{to_date}}">&raquo;</a>
                            </li>
                        {% endif %}
                    </ul>
                {% endif %}
            </div>
        </section>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>
{% endblock %}
